gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.FontFace

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype FontFace = FontFace (ManagedPtr FontFace)

# Exported types

newtype FontFace Source #

Memory-managed wrapper type.

Constructors

FontFace (ManagedPtr FontFace) |

#### Instances

Instances details

Eq FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods (==) :: FontFace -> FontFace -> Bool Source # (/=) :: FontFace -> FontFace -> Bool Source #
GBoxed FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace
ManagedPtrNewtype FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods toManagedPtr :: FontFace -> ManagedPtr FontFace Source #
TypedObject FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace Methods glibType :: IO GType Source #
HasParentTypes FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace
IsGValue (Maybe FontFace) Source # | Convert `FontFace` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.FontFace Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FontFace -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FontFace) Source #
type ParentTypes FontFace Source # |
Instance details Defined in GI.Cairo.Structs.FontFace type ParentTypes FontFace = '[] :: [Type]

# Methods